import {get, post} from "@/service/request.ts";

export function playState() {
	return post<LiveState>({url: '/room/playing'})
}

export function getList() {
	return post<DataList<LiveVideoInfo>>('/room/list')
}

export function modifyOrder(ids: Id[]) {
	return post('/room/order', {ids})
}

export function deleteByIds(ids: Id[]) {
	return post('/room/remove', {ids})
}

export function getLiveUrl() {
	return get<{flv_url:string}>({
		url: '/tencent/get_pull_url',
		baseURL: '/api/v1'
	})
}